---
name: Bug report
about: Create a report to help us improve
title: "[BUG] Please add a speaking title"
labels: ''
assignees: ''

---

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Screenshots**
If applicable, add screenshots to help explain your problem.

**Used versions (please complete the following information):**
 - TYPO3 Version: [e.g. 10.4.13]
 - Browser: [e.g. chrome, safari]
 - EXT:meilisearch Version: [e.g. 10.0.0]
 - Used Meilisearch Version: [e.g. 8.8.0]
 - PHP Version: [e.g. 7.4.0]
 - MySQL Version: [e.g. 8.0.0]

**Additional context**
Add any other context about the problem here.
